classification
Title: _PyMainInterpreterConfig_Copy() doesn't copy install_signal_handlers
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2018-11-13 15:11 by vstinner, last changed 2018-11-19 09:06 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10519 merged vstinner, 2018-11-13 15:11
PR 10524 merged vstinner, 2018-11-13 22:35
PR 10529 merged vstinner, 2018-11-14 00:13
PR 10537 merged vstinner, 2018-11-14 01:07
PR 10539 merged vstinner, 2018-11-14 10:11
PR 10541 merged vstinner, 2018-11-14 14:23
PR 10546 merged vstinner, 2018-11-14 17:18
PR 10597 merged vstinner, 2018-11-19 08:45
Messages (9)
msg329849 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-13 15:11
_PyMainInterpreterConfig_Copy() doesn't copy the install_signal_handlers attribute and so config->install_signal_handlers is always -1.

Bug spotted by Francis Hart:
https://github.com/python/cpython/pull/10516

Attached PR fix the issue.
msg329860 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-13 18:59
New changeset 00b137c72f90fbc39a6cd7e48b37c58d19977180 by Victor Stinner in branch 'master':
bpo-35233: Fix _PyMainInterpreterConfig_Copy() (GH-10519)
https://github.com/python/cpython/commit/00b137c72f90fbc39a6cd7e48b37c58d19977180
msg329873 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-13 23:24
New changeset 7ddd56f4d835c6107b20a0b4233185bb59270142 by Victor Stinner in branch 'master':
bpo-35233: Rewrite test_embed.InitConfigTests (GH-10524)
https://github.com/python/cpython/commit/7ddd56f4d835c6107b20a0b4233185bb59270142
msg329878 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 01:01
New changeset 35c28d562ec7249f2a6aef8e326eadac130a1656 by Victor Stinner in branch '3.7':
[3.7] bpo-35233: Rewrite test_embed.InitConfigTests (GH-10524) (GH-10529)
https://github.com/python/cpython/commit/35c28d562ec7249f2a6aef8e326eadac130a1656
msg329886 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 01:45
New changeset 88cbea4c6ff4987ce31f4fe6f73c2d04a3d37829 by Victor Stinner in branch '3.7':
bpo-35233: Fix _PyMainInterpreterConfig_Copy() (GH-10537)
https://github.com/python/cpython/commit/88cbea4c6ff4987ce31f4fe6f73c2d04a3d37829
msg329899 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 10:36
New changeset bc09ee8bc9c0ce4873cdaab6ca524a3ee3a36be1 by Victor Stinner in branch '3.7':
bpo-35233: Fix test_embed.InitConfigTests on macOS (GH-10539)
https://github.com/python/cpython/commit/bc09ee8bc9c0ce4873cdaab6ca524a3ee3a36be1
msg329916 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 16:39
New changeset 01de89cb59107d4f889aa503a1c0350dae4aebaf by Victor Stinner in branch 'master':
bpo-35233: InitConfigTests tests more config vars (GH-10541)
https://github.com/python/cpython/commit/01de89cb59107d4f889aa503a1c0350dae4aebaf
msg329921 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 17:58
New changeset 9ee1d42f019ac827f73479ce241e95733d050e67 by Victor Stinner in branch '3.7':
bpo-35233: InitConfigTests tests more config vars (GH-10541) (GH-10546)
https://github.com/python/cpython/commit/9ee1d42f019ac827f73479ce241e95733d050e67
msg330081 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-19 09:06
New changeset 0e1312c959dcfd0193ed0c7ab3fd45d440da6d78 by Victor Stinner in branch '3.7':
bpo-35233: test_embed: fix filesystem encoding (GH-10597)
https://github.com/python/cpython/commit/0e1312c959dcfd0193ed0c7ab3fd45d440da6d78
History
Date User Action Args
2018-11-19 09:06:02vstinnersetmessages: + msg330081
2018-11-19 08:45:05vstinnersetpull_requests: + pull_request9842
2018-11-14 17:58:11vstinnersetmessages: + msg329921
2018-11-14 17:18:13vstinnersetpull_requests: + pull_request9794
2018-11-14 16:39:56vstinnersetmessages: + msg329916
2018-11-14 14:23:27vstinnersetpull_requests: + pull_request9791
2018-11-14 10:36:59vstinnersetmessages: + msg329899
2018-11-14 10:11:28vstinnersetpull_requests: + pull_request9790
2018-11-14 01:45:57vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-14 01:45:38vstinnersetmessages: + msg329886
2018-11-14 01:07:55vstinnersetpull_requests: + pull_request9788
2018-11-14 01:01:57vstinnersetmessages: + msg329878
2018-11-14 00:13:41vstinnersetpull_requests: + pull_request9785
2018-11-13 23:24:32vstinnersetmessages: + msg329873
2018-11-13 22:35:52vstinnersetpull_requests: + pull_request9784
2018-11-13 18:59:33vstinnersetmessages: + msg329860
2018-11-13 15:11:46vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request9778
2018-11-13 15:11:01vstinnercreate